import request from '@/utils/request'

// 查询助手问题列表
export function listQuestion(query) {
  return request({
    url: '/mall/question/list',
    method: 'get',
    params: query
  })
}

// 查询助手问题详细
export function getQuestion(questionId) {
  return request({
    url: '/mall/question/' + questionId,
    method: 'get'
  })
}

// 新增助手问题
export function addQuestion(data) {
  return request({
    url: '/mall/question',
    method: 'post',
    data: data
  })
}

// 修改助手问题
export function updateQuestion(data) {
  return request({
    url: '/mall/question',
    method: 'put',
    data: data
  })
}

// 删除助手问题
export function delQuestion(questionId) {
  return request({
    url: '/mall/question/' + questionId,
    method: 'delete'
  })
}
